Package opennlp.tools.cmdline.sentdetect

# Class SentenceEvaluationErrorListener

java.lang.Object
opennlp.tools.cmdline.EvaluationErrorPrinter<SentenceSample>
opennlp.tools.cmdline.sentdetect.SentenceEvaluationErrorListener

All Implemented Interfaces:
  `SentenceDetectorEvaluationMonitor`, `EvaluationMonitor<SentenceSample>`

public class SentenceEvaluationErrorListener extends opennlp.tools.cmdline.EvaluationErrorPrinter<SentenceSample> implements SentenceDetectorEvaluationMonitor
A default implementation of `EvaluationMonitor` that prints to an output stream.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SentenceEvaluationErrorListener()`
  Creates a listener that will print to the configured `logger`.
  `SentenceEvaluationErrorListener(OutputStream outputStream)`
  Creates a listener that will print to a given `OutputStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `misclassified(SentenceSample reference, SentenceSample prediction)`

  ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

  `correctlyClassified`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.eval.EvaluationMonitor

  `correctlyClassified`

- ## Constructor Details

  - ### SentenceEvaluationErrorListener

    public SentenceEvaluationErrorListener()
    Creates a listener that will print to the configured `logger`.

  - ### SentenceEvaluationErrorListener

    public SentenceEvaluationErrorListener(OutputStream outputStream)
    Creates a listener that will print to a given `OutputStream`.

- ## Method Details

  - ### misclassified

    public void misclassified(SentenceSample reference, SentenceSample prediction)
    Specified by:
      `misclassified` in interface `EvaluationMonitor<SentenceSample>`
    Specified by:
      `misclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<SentenceSample>`